ranch_proxy_header:to_connection_info(3)

NAME

ranch_proxy_header:to_connection_info - Convert proxy_info() to ssl:connection_info()

DESCRIPTION
    to_connection_info(ProxyInfo :: proxy_info())
        -> ssl:connection_info()

Convert ranch_proxy_header:proxy_info() information to the ssl:connection_info() format returned by ssl:connection_information/1,2.

ARGUMENTS

ProxyInfo
    The PROXY protocol information.

RETURN VALUE

Connection information is returned as a proplist.

Because the PROXY protocol header includes limited information, only the keys protocol, selected_cipher_suite and sni_hostname will be returned, at most. All keys are optional.

CHANGELOG
    • 2.1: Function introduced.

EXAMPLES

Convert the PROXY protocol information
    ConnInfo = ranch_proxy_header:to_connection_info(ProxyInfo).

SEE ALSO

ranch_proxy_header:parse(3), ranch_proxy_header(3)